# Enterprise Services Endpoints for enterprise-level service management. ## List enterprise services - [GET /v1/enterprise-services](https://timify-dev-api.redocly.app/apis/openapi/enterprise-services/getv1enterpriseservices.md): This endpoint retrieves all the enterprise services. When the developer wants to include booking limit suggestions in the response, the booking limitation params needs to be be included in the query, only the start_date is mandatory ?start_date=2019-02-23 11:30&event_id=645515845089ba22acfa569e&durations_pattern=5&duration_before=30&duration_after=30 ## Create enterprise service - [POST /v1/enterprise-services](https://timify-dev-api.redocly.app/apis/openapi/enterprise-services/postv1enterpriseservices.md): Create a new enterprise-level service. ## List enterprise service categories - [GET /v1/enterprise-services/categories](https://timify-dev-api.redocly.app/apis/openapi/enterprise-services/getv1enterpriseservicescategories.md): List enterprise service categories. ## Create enterprise service category - [POST /v1/enterprise-services/categories](https://timify-dev-api.redocly.app/apis/openapi/enterprise-services/postv1enterpriseservicescategories.md): Create a new enterprise service category. ## Delete enterprise service category - [DELETE /v1/enterprise-services/categories/{categoryId}](https://timify-dev-api.redocly.app/apis/openapi/enterprise-services/deletev1enterpriseservicescategoriesbycategoryid.md): The URL parameter ":categoryId" can be used in two ways: - use the unique ID of the service category assigned by TIMIFY ("categoryId"). In this case, you don't need the QUERY parameter "external" - use the "externalId" that you added to this service category. In this case, you need to add the parameter "external" ( for ex.: /?external=1) so the Developer API will search by your "externalId" and not by "categoryId" assigned by TIMIFY You can add "externalId" to the service with the Developer API endpoints POST /services/caetgories and PATCH /service/categories/:categoryId ## Fetch enterprise service category - [GET /v1/enterprise-services/categories/{categoryId}](https://timify-dev-api.redocly.app/apis/openapi/enterprise-services/getv1enterpriseservicescategoriesbycategoryid.md): The URL parameter "categoryId" can be used in two ways: - use the unique ID of the service category assigned by TIMIFY ("categoryId"). In this case, you don't need the QUERY parameter "external" - use the "externalId" that you added to this service category. In this case, you need to add the parameter "external" ( for ex.: /?external=1) so the Developer API will search by your "externalId" and not by "categoryId" assigned by TIMIFY You can add "externalId" to the service category with the Developer API endpoints POST /services/categories and PATCH /services/categories/:categoryId ## Update enterprise service category - [PATCH /v1/enterprise-services/categories/{categoryId}](https://timify-dev-api.redocly.app/apis/openapi/enterprise-services/patchv1enterpriseservicescategoriesbycategoryid.md): Update an enterprise service category. ## Delete enterprise service - [DELETE /v1/enterprise-services/{serviceId}](https://timify-dev-api.redocly.app/apis/openapi/enterprise-services/deletev1enterpriseservicesbyserviceid.md): The URL parameter "serviceId" can be used in two ways: - use the unique ID of the service assigned by TIMIFY ("serviceId"). In this case, you don't need the QUERY parameter "external" - use the "externalId" that you added to this service. In this case, you need to add the parameter "external" ( for ex.: /?external=1) so the Developer API will search by your "externalId" and not by "serviceId" assigned by TIMIFY You can add "externalId" to the service with the Developer API endpoints POST /services and PATCH service/:serviceId ## Fetch enterprise service - [GET /v1/enterprise-services/{serviceId}](https://timify-dev-api.redocly.app/apis/openapi/enterprise-services/getv1enterpriseservicesbyserviceid.md): The URL parameter ":serviceId" can be used in two ways: - use the unique ID of the service assigned by TIMIFY ("serviceId"). In this case, you don't need the QUERY parameter "external" - use the "externalId" that you added to this service. In this case, you need to add the parameter "external" ( for ex.: /?external=1) so the Developer API will search by your "externalId" and not by "serviceId" assigned by TIMIFY You can add "externalId" to the service with the Developer API endpoints POST /services and PATCH services/:serviceId When the developer wants to include booking limit suggestions in the response, the booking limitation params needs to be be included in the query, only the start_date is mandatory ?start_date=2019-02-23 11:30&event_id=645515845089ba22acfa569e&durations_pattern=5&duration_before=30&duration_after=30 ## Update enterprise service - [PATCH /v1/enterprise-services/{serviceId}](https://timify-dev-api.redocly.app/apis/openapi/enterprise-services/patchv1enterpriseservicesbyserviceid.md): The URL parameter "serviceId" can be used in two ways: - use the unique ID of the service assigned by TIMIFY ("serviceId"). In this case, you don't need the QUERY parameter "external" - use the "externalId" that you added to this service. In this case, you need to add the parameter "external" ( for ex.: /?external=1) so the Developer API will search by your "externalId" and not by "serviceId" assigned by TIMIFY You can add "externalId" to the service with the Developer API ## Reset enterprise service - [GET /v1/enterprise-services/{serviceId}/reset](https://timify-dev-api.redocly.app/apis/openapi/enterprise-services/getv1enterpriseservicesbyserviceidreset.md): In the event a branch has update the local service parameters the owner of the Enterprise can reset the local service to the global service parameters. The Enterprise owner or manager can update all or selected service attributes.